SOELIM(1)

NAME
soelim - interpret .so requests in manpages

SYNOPSIS
soelim [-Crtv] [-I dir] [files ...]

DESCRIPTION
soelim reads files lines by lines.

If a line starts by: “.so anotherfile” it replace the line by processing “anotherfile”. Otherwise the line is printed to stdout.

-C  Recognise .so when not followed by a space character.

-r  Compatibility with GNU groff's soelim(1) (does nothing).

-t  Compatibility with GNU groff's soelim(1) (does nothing).

-v  Compatibility with GNU groff's soelim(1) (does nothing).

-I dir
    This option specify directories where soelim searches for files (both those on the command line and those named in “.so” directive.) This options may be specified multiple times. The directories will be searched in the order specified.

The files are always searched first in the current directory.

A file specified with an absolute path will be opened directly without performing a search.

SEE ALSO
mandoc(1)

AUTHORS
This version of the soelim utility was written by Baptiste Daroussin <bapt@freebsd.org>.